Jump to: navigation, search

9.0.006.00

Genesys Pulse Release Notes


Genesys Pulse is part of 9.x starting in 9.0.000.02.
Release Date Release Type Restrictions AIX Linux Solaris Windows
08/24/20 General X X


Helpful Links

Releases Info

Product Documentation

Genesys Products


What's New

This release contains the following new features and enhancements:

  • HTTPS support. (WBRT-13249)
    Important
    Starting with this release, Genesys Pulse does not support hard-coded encryption keys for passwords:
    • Genesys Pulse no longer supports the encrypted form of the keystore_password property for the unofficial HTTPS activation workaround. The keystore_password property is not encrypted and can be passed as an environment variable or command line argument. See Secure Socket Layer (SSL) Encryption for details and make sure to update HTTPS configuration options accordingly.
    • Genesys Pulse no longer sends user passwords in encoded form. Genesys Pulse must be used with HTTPS enabled or behind HTTPS-enabled proxy or load balancer to protect users credentials.
      The isPasswordEncrypted property of the /api/session/login API request is now deprecated. API clients that were using this property should now send plain text password.
  • Support for MS SQL Server 2019 Cluster. See the Genesys Pulse page in the Genesys Supported Operating Environment Reference Guide for more detailed information and a list of all supported databases. (WBRT-14065)

  • Resolved Issues

    This release contains the following resolved issues:


    The CVE-2020-11612 vulnerability is resolved. (WBRT-14288)


    The CVE-2019-11358 vulnerability is resolved. (WBRT-14223)


    Genesys Pulse is now properly propagates Widget Template changes. Previously, in rare cases, Widget Template changes were not propagated to other user's Widgets due to the "Could not connect to database" error message. (WBRT-14196)


    Genesys Pulse no longer provides API endpoints exposing potentially sensitive information from Configuration Server. (WBRT-14106)


    Genesys Pulse now adds "allow-downloads" to iFrame sandbox attributes and allows user-initiated downloads from the iFrame Widget. See https://www.chromestatus.com/feature/5706745674465280 for more information. (WBRT-14081)


    The Widget Count column of the Widget Management screen now updates correctly. Previously, it did not show the actual values after remove operations were performed from the same screen. (WBRT-14037)


    Multilingual characters of shared Dashboard, Wallboard, or Widget Template can now be saved in Configuration Server. (WBRT-13955)


    Genesys Pulse is now able to start if the primary or backup Configuration Server host, specified in the pulse.properties file, cannot be resolved. (WBRT-13101)


    Genesys Pulse now detects preferred languages set via the "Settings / Internet Options / Languages" dialog in Internet Explorer 11. (WBRT-11713)


    Genesys Pulse no longer sends the user password in the encoded form, which was giving the false feeling of protection. Genesys Pulse must be used with enabled HTTPS or behind HTTPS-enabled proxy or load balancer in order to protect users credentials.
    The "isPasswordEncrypted" property of the /api/session/login API request is now deprecated. API clients that were using this property should now send plain text password. (WBRT-11569)


    The object selection in Widget with the allowed object type DN/Queue Group is now restricted to ACD Queues and Service Numbers groups. Previously, unsupported Network Ports and Single Ports groups were available for selection. (WBRT-7048)



    Upgrade Notes

    No special procedure is required to upgrade to release 9.0.006.00.

    Supported Languages

    See Release 9.0.0 Translation Support.

    This page was last edited on October 28, 2020, at 09:36.
    blog comments powered by Disqus